### Method

# Gtk Switch set_state

#### Declaration [src]

    void
    gtk_switch_set_state (
      GtkSwitch* self,
      gboolean state
    )

#### Description [src]

Sets the underlying state of the `GtkSwitch`.

Normally, this is the same as `GtkSwitch:active`, unless the switch is set up for delayed state changes. This function is typically called from a `GtkSwitch::state-set` signal handler.

See `GtkSwitch::state-set` for details.

Sets property | `Gtk.Switch:state`

#### Parameters

`state` | `gboolean`
| The new state.